For the complete documentation index, see llms.txt. This page is also available as Markdown.

Site Filter

Create a new vendor

post

Create a new vendor

Header parameters
authorizationstringRequired
Body
filterNamestringOptional
categoryIdinteger[]Optional
Responses
200

Success Response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully created a new Filter.
post/site-filter/create-site-filter
POST /site-filter/create-site-filter HTTP/1.1
authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 126

"filterName='text'&categoryId=[1]&section=[{'sectionId':1,'sectionName':'text','sectionItem':['text'],'sectionType':1}]"
{
  "status": 1,
  "message": "Successfully created a new Filter."
}

Updated the site filter

put

Successfully updated the site filter.

Path parameters
idintegerRequired
Header parameters
authorizationstringRequired
Body
filterNamestringOptional
categoryIdinteger[]Optional
Responses
200

Success Response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated the site filter.
put/site-filter/update-site-filter/{id}
PUT /site-filter/update-site-filter/{id} HTTP/1.1
authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 126

"filterName='text'&categoryId=[1]&section=[{'sectionId':1,'sectionName':'text','sectionItem':['text'],'sectionType':1}]"
{
  "status": 1,
  "message": "Successfully updated the site filter."
}

Got filter list

get

Got the filter count

Query parameters
limitintegerRequired
offsetintegerRequired
countintegerOptional
Header parameters
authorizationstringRequired
Responses
200

Success Response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got filter list
get/site-filter/site-filter-list
GET /site-filter/site-filter-list?limit=1&offset=1 HTTP/1.1
authorization: text
Accept: */*
200

Success Response

{
  "status": 1,
  "message": "Successfully got filter list"
}

deleted the filter.

delete

delete the exist filter

Path parameters
idintegerRequired
Header parameters
authorizationstringRequired
Responses
200

Success Response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted the filter.
delete/site-filter/delete-site-filter/{id}
DELETE /site-filter/delete-site-filter/{id} HTTP/1.1
authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the filter."
}

Got filter Details

get

Successfully got filter Details

Path parameters
idintegerRequired
Header parameters
authorizationstringRequired
Responses
200

Success Response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got filter detail
get/site-filter/filter-detail/{id}
GET /site-filter/filter-detail/{id} HTTP/1.1
authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got filter detail"
}

Last updated